@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=Cormorant:ital,wght@0,300..700;1,300..700&family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap");

:root {
  --brand-blue: #27408D;
  --brand-white: #FFFFFF;
  --brand-light-grey: #FFFFFF99;
  --brand-grey: #5A5A5A;
  --brand-dark-grey: #4C4C4C;
  --brand-black: #000000;
  --brand-background: #FBFBFB;
  
  --font-family-serif: "Cormorant", "Georgia", georgia, serif, system-ui;
  
  --custom-transition: all 0.3s ease-in-out;
  
  --img-ratio-rate-primary: 4 / 3;
  --img-ratio-rate-primary-mobile: 4 / 3;
  --img-ratio-rate-secondary: 4 / 3;
  --img-ratio-rate-secondary-mobile: 4 / 3;
  --img-ratio-mda-secondary-rate: 4 / 3;
  --img-ratio-mda-secondary-rate-mobile: 4 / 3;
}

@media screen {
  
  .header a i,
  .backtotop a i,
  .footer a i {
    margin-right: 0px;
  }
  
  .main-be-area {
    background-color: transparent;
  }
  
  body {
    background-color: var(--brand-background);
  }
  
  .header {
    display: flex;
    justify-content: center;
    align-items: center;
    
    background-color: var(--brand-white);
    
    padding-block: 30.5px;
    border-bottom: 1px solid var(--border-default);
  }
  
  .header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
    
    width: 100%;
    padding-inline: 40px;
  }
  
  .header .invisible-flex-item {
    display: none;
    align-self: stretch;
    
    width: 150px;
    height: 100%;
  }
  
  .header .logo {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .header .logo a img {
    display: block;
    
    width: 149px;
    height: auto;
    
    transition: var(--custom-transition);
  }
  
  .header .logo a:hover img {
    opacity: 80%;
  }
  
  .header .backtosite {
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }
  
  .header .backtosite a {
    display: flex;
    justify-content: center;
    align-items: center;
    
    background-color: var(--brand-color);
    color: var(--brand-white);
    
    font-size: 17px;
    font-weight: 400;
    line-height: 29px;
    text-align: center;
    text-transform: capitalize;
    
    min-width: 240.39px;
    padding-block: 9.5px;
    padding-inline: 16px;
    
    transition: var(--custom-transition);
  }
  
  .header .backtosite:hover a {
    background-color: var(--brand-blue);
  }
  
  h1, h2, h3, h4, h5, h6,
  .header1, .header2, .header3, .header4, .header5, .header6,
  .heading-1, .heading-2, .heading-3, .heading-4, .heading-5, .heading-6 {
    font-family: var(--font-family-serif);
  }
  
  .footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    
    background-color: var(--brand-grey);
    color: var(--brand-white);
    
    font-size: 19px;
    font-weight: 300;
    line-height: normal;
    text-align: start;
  }
  
  .footer .container {
    justify-content: center;
    
    column-gap: 30px;
    row-gap: 60px;
    padding-inline: 15px;
  }
  
  .footer .container:first-child {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    flex-direction: column;
    align-items: flex-start;
    
    width: min(100%, 1360px);
    padding-block: 50px;
  }
  
  .footer h3 {
    font-family: inherit;
    font-size: 25px;
    font-weight: 500;
    line-height: 30px;
    
    flex-basis: 100%;
    padding-bottom: 1.5px;
    margin-block: 0px;
  }
  
  .footer .contact h3 {
    padding-bottom: 6px;
  }
  
  .footer .links {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    
    row-gap: 18.5px;
  }
  
  .footer .links > span {
    font-size: 18px;
  }
  
  .footer .links a {
    color: var(--brand-white);
    
    border-bottom: 1px solid var(--brand-white);
    
    transition: var(--custom-transition);
  }
  
  .footer .links a:hover {
    color: var(--brand-light-grey);
    
    border-color: var(--brand-light-grey);
  }
  
  .footer .contact {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    
    row-gap: 12.5px;
  }
  
  .footer .contact > div {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    align-self: stretch;
    
    column-gap: 8px;
  }
  
  .footer .contact p {
    font-weight: 400;
    
    margin-block: 0px;
  }
  
  .footer .contact a {
    color: var(--brand-white);
    
    font-weight: 300;
    
    border-bottom: 1px solid var(--brand-white);
    
    transition: var(--custom-transition);
  }
  
  .footer .contact a:hover {
    color: var(--brand-light-grey);
    
    border-color: var(--brand-light-grey);
  }
  
  .footer .right {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    
    row-gap: 36px;
  }
  
  .footer .socials {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    
    row-gap: 20px;
    column-gap: 12px;
  }
  
  .footer .socials a {
    display: flex;
    justify-content: center;
    align-items: center;
    
    color: var(--brand-white);
    
    font-size: 20px;
    
    transition: var(--custom-transition);
  }
  
  .footer .socials a:hover {
    color: var(--brand-light-grey);
  }
  
  .footer .socials a svg {
    display: block;
    
    fill: var(--brand-white);
    
    width: 17px;
    
    transition: var(--custom-transition);
  }
  
  .footer .socials a:hover svg {
    fill: var(--brand-light-grey);
  }
  
  .footer .container:last-child {
    display: flex;
    align-items: center;
    align-self: stretch;
    
    background-color: var(--brand-dark-grey);
    
    font-size: 17px;
    font-weight: 300;
    line-height: 25.5px;
    text-align: center;
    
    padding-block: 17px;
    padding-inline: 70px;
  }
  
  .footer small {
    font-size: inherit;
    line-height: inherit;
  }
  
  .footer small a {
    color: var(--brand-white);
    
    transition: var(--custom-transition);
  }
  
  .footer small a:hover {
    color: var(--brand-light-grey);
  }
  .button--small .button__text {
      font-size: 16px;
  }
  .search .paragraph {
      font-size: 16px;
  }
  
}



@media screen and (max-width: 1249px) {
  
  .footer .container:first-child {
    grid-template-columns: 0.6fr repeat(2, 1fr);
  }
  
  .footer .container:last-child {
    padding-inline: 15px;
  }
  
}



@media screen and (max-width: 1149px) {
  
  .footer .container:first-child {
    grid-template-columns: 0.5fr repeat(2, 1fr);
  }
  
}



@media screen and (max-width: 1049px) {
  
  .footer .container:first-child {
    grid-template-columns: 0.4fr repeat(2, 1fr);
  }
  
}



/* ----- Tablet specific ----- */
@media screen and (max-width: 999px) {
  
  .header .container {
    padding-inline: 20px;
  }
  
  .header .logo a img {
    width: 139px;
  }
  
  .header .backtosite a {
    min-width: 160.39px;
    padding-block: 6.5px;
    padding-inline: 12px;
  }
  
  .footer {
    font-size: 17px;
  }
  
  .footer .container:first-child {
    display: flex;
    flex-direction: column;
  }
  
  .footer .contact {
    order: 1;
  }
  
  .footer .right {
    order: 2;
  }
  
  .footer .container > .links {
    order: 3;
  }
  
}



/* ----- Mobile specific ----- */
@media screen and (max-width: 499px) {
  
  .header .container {
    justify-content: center;
    
    padding-inline: 0px;
  }
  
  .header .logo a img {
    width: 124px;
  }
  
  .header .backtosite {
    display: none;
  }
  
  .footer {
    font-size: 15px;
  }
  
}